import httpRequest from '@/utils/axios'

// 获取用户信息
export function getUser() {
  return httpRequest.get('/api/passport/account/get-user-info')
}

// 退出登录
export function logout() {
  return httpRequest.get('/api/passport/rest/logout')
}

// 获取oss token
export function getToken() {
  return httpRequest.get('/api/usercenter/aliyun/assume-role')
}

// 获取oss signature
export function getSignature() {
  return httpRequest.get('/api/usercenter/aliyun/get-signature')
}

// 图片上传
export function uploadFile(data) {
  return httpRequest.post(data.host || 'https://webapp-pub.oss-cn-beijing.aliyuncs.com', data, {
    withCredentials: false,
    headers: { 'Content-Type': 'multipart/form-data' }
  })
}

/**
 * 获取权限列表
 */
export function getPermissions(params) {
  return httpRequest.get(`/api/xedu/api/v3/org/user/${params.id}/permissions`, { params })
}

// 获取可访问的所有项目
export function getAllProjects() {
  return httpRequest.get('/api/qbs/admin/v2/projects')
}

/**
 * 获取试卷分类
 */
export function getQuestionCategory(params) {
  return httpRequest.get(`/api/qbs/admin/v2/question-category/tree/${params.project_prefix}`, { params })
}

// 获取分片大小和唯一文件名
export function getLocalFileChunk(params) {
  return httpRequest.get('/api/lab/v1/common/file/chunk', { params })
}

// 上传每个分片前请求接口来获取当前文件是否超时,之前的分片是否被清理,如果被请求则拒绝处理。返回客户端错误码，让客户端户端不再续传剩余分片
// 1文件被清理 0文件未被清理
export function checkLocalFile(params) {
  return httpRequest.get('/api/lab/v1/common/file/check', { params })
}

// 上传文件
export function uploadLocalFile(data) {
  return httpRequest.post('/api/lab/v1/common/file/upload', data, {
    withCredentials: false,
    headers: { 'Content-Type': 'multipart/form-data' }
  })
}
